<template>
	<view class="weighingDevice">
		<view class="one">
			<view class="top">
				<view class="top_left"><text>41.5</text></view>
				<view class="top_right">
					<view class="">称重: <u--text type="success" text="正常" size="34"></u--text></view>
					<view class="">红外: <u--text type="success" text="正常" size="34"></u--text></view>
					<view class="">雷达: <u--text type="success" text="正常" size="34"></u--text></view>
				</view>
			</view>
			<view class="bottom"><text>TIP:当前状态正常可以称重</text></view>
		</view>
		<view class="two">
			<p>订单编号：{{ weighList.code || '' }}</p>
			<p>订单类型：{{ weighList.orderTye || '' }}</p>
			<p>订单余量：{{ weighList.allowance }}</p>
			<p>皮重：{{ weighList.skin || '' }}</p>
			<p>毛重：{{ weighList.hair || '' }}</p>
			<p>净重：{{ weighList.clean || '' }}</p>
		</view>
		<view class="three">
			<!-- 外销订单成皮时，返回加减吨按钮置灰。称毛时可用.外购订单，不出现返回加减吨的按钮 -->
			<u-button type="primary" text="确定称重" @click="confirmWeigh"></u-button>
			<u-button type="primary" text="返回加减吨"></u-button>
		</view>
		<view class="four">如您需要调整装载货品吨数，请点击返回加减吨</view>
	</view>
</template>

<script>
export default {
	onLoad(params) {
		console.log('称重页面', params);
		this.takeCoalId = params.takeCoalId;
	},
	data() {
		return {
			takeCoalId: null,
			weighList: {}
		};
	},
	onShow() {
		this.init();
	},
	methods: {
		init() {
			// 获取称重信息
			this.$reqGet('weighList', { id: this.takeCoalId }).then(res => {
				console.log(res, '获取称重信息');
				if (res.code == 0) {
					this.weighList = res.data;
				}
			});
		},
		/**
		 * @确认称重等待后端提供实时称重接口，获取皮重，毛重
		 */ 
		confirmWeigh(){
			// this.$reqPost('saveWeigh',{id:this.takeCoalId,skin:'',hair:''}).then(res=>{
			// 	console.log(res,"确认称重");
			// })
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.weighingDevice {
	width: 100%;
	height: 100vh;
	display: flex;
	flex-direction: column;
	.one {
		flex: 2;
		border: vww(1) solid #dddddd;
		margin: vww(20) vww(20) 0 vww(20);
		border-radius: vww(15);
		.top {
			height: 80%;
			display: flex;
			.top_left {
				flex: 3;
				font-size: vww(50);
				display:flex;
				align-items: center;
				justify-content: center;
			}
			.top_right {
				display:flex;
				flex-direction: column;
				justify-content: center;
				flex: 2;
				view{
					display: flex;
				}
			}
		}
		.bottom {
			text-align: center;
		}
	}
	.two {
		flex: 4;
		border: vww(1) solid #dddddd;
		margin: vww(20);
		border-radius: vww(10);
		padding: vww(20);
		p {
			text-align: center;
			font-size: vww(20);
			font-weight: 500;
			margin-top: vww(5);
		}
	}
	.three {
		margin: 0 auto vww(20);
		flex: 0.7;
		display: flex;
		color: #939393;
		.u-button {
			&:nth-of-type(2) {
				margin-left: vww(10);
			}
		}
	}
	.four {
		margin: vww(10) auto;
		flex: 0.5;
	}
}
</style>
